From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Fri, 11 Dec 2020 16:27:21 -0400
Subject: PHP 8 compat

Bugs-Debian: https://bugs.debian.org/977373
---
 src/fxsltprocessor.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/fxsltprocessor.php b/src/fxsltprocessor.php
index 6f34964..fc8d210 100644
--- a/src/fxsltprocessor.php
+++ b/src/fxsltprocessor.php
@@ -184,12 +184,12 @@ namespace TheSeer\fXSL {
          * @see XSLTProcessor::transformToDoc()
          *      Extended version to throw exception on error
          */
-        public function transformToDoc($node) {
+        public function transformToDoc(object $node, ?string $returnClass = null) {
             if (!$this->initDone) {
                 $this->initStylesheet();
             }
             libxml_clear_errors();
-            $rc = parent::transformToDoc($node);
+            $rc = parent::transformToDoc($node, $returnClass);
             if (count(libxml_get_errors()) != 0) {
                 throw new fXSLTProcessorException('Error in transformation', fXSLTProcessorException::TransformationFailed);
             }
